> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Evidence

> Page the immutable, redacted evidence retained for one finding.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/maintenance/findings/{findingId}/evidence
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/maintenance/findings/{findingId}/evidence:
    get:
      tags:
        - projectMaintenance
      summary: List Evidence
      description: Page the immutable, redacted evidence retained for one finding.
      operationId: projectMaintenance.listEvidence
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: findingId
          in: path
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            maxLength: 512
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Finding evidence.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        id:
                          type: string
                          format: uuid
                        runId:
                          type: string
                          format: uuid
                        findingId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                        kind:
                          type: string
                          enum:
                            - metric
                            - log
                            - configuration
                            - query
                            - verification
                        sourceOperationId:
                          type:
                            - string
                            - 'null'
                        summary:
                          type: string
                        data: {}
                        capturedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - runId
                        - findingId
                        - kind
                        - sourceOperationId
                        - summary
                        - data
                        - capturedAt
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
        '404':
          description: No such finding in this project.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````